#ifndef	_FINDER_UTILS_H_
#define	_FINDER_UTILS_H_
/*****************************************************************************
 *
 *  FinderUtils.c
 *
 *  DESCRIPTION
 *		Interface to FinderUtils.c, which has utiltiy routines for programmatic
 *	control of the finder in System 7 using AppleEvents.
 *
 *  AUTHOR: 	Matt Pallakoff
 * 
 *  CREATED: 	11-25-91
 *
 *****************************************************************************/

#include "PPCToolBox.h"
#include "AppleEvents.h"
#include "Folders.h"
#include "Aliases.h"

#define kFinderProcessSignature 'MACS'
#define kFinderEventClass 'FNDR'
#define kOpenSelectionEventID 'sope'
#define kRevealSelectionEventID 'srev'
#define aeSelectionKeyword 'fsel'


/* FUGetParent fills theParentFSSpec so that it represents the parent directory
 *	of the item corresponding to the first given FSSpec.
 */
OSErr FUGetParent(FSSpec *theItemFSSpec, FSSpec *theParentFSSpec);

/* FUOpenFinderItem sends an AppleEvent to the finder telling it to open the item
 *	given by the the given FSSpec. If justReveal is true, then the item isn't
 *	opened, it's just shown -- that is, the parent folder is opened and scrolled
 *	so you can see the item.
 */
OSErr FUOpenFinderItem(FSSpec *theItemFSSpec, Boolean justReveal);


#endif	_FINDER_UTILS_H_
